@media (max-width: 900px) {
  .future-courses-wrapper .product-cards-grid .product-card {
    width: 304px !important;
    flex-shrink: 0;
    flex: 0 0 auto !important;
    scroll-snap-align: center;
  }
  .future-courses-wrapper .product-cards-grid {
    gap: 16px !important;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
  }
}

.future-courses-wrapper .product-cards-grid .product-card {
  border-radius: 8px;
  border: 1px solid var(--Gray-G95, #e4e4e4);
  background: var(--Gray-G100, #fff);
  box-shadow: 0 2px 56px 0 rgba(18, 18, 18, 0.06);
  overflow: hidden;
}
.future-courses-wrapper
  .product-cards-grid
  .product-card:has(.out-of-stock-course) {
  pointer-events: none;
}
.future-courses-wrapper .product-cards-grid .product-card .out-of-stock-course {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(0, 40, 41, 0.9);
  backdrop-filter: blur(2.5px);
  z-index: 2;
  color: var(--Gray-G100, #fff);
  text-align: right;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 32px; /* 200% */
}
.future-courses-wrapper .product-cards-grid .product-card .image {
  width: 100%;
  height: 248px;
  overflow: hidden;
  display: flex;
}
.future-courses-wrapper .product-cards-grid .product-card:hover .image {
  width: 100%;
  height: 162px;
  overflow: hidden;
  display: flex;
}
.future-courses-wrapper .product-cards-grid .product-card .image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top;
}
.future-courses-wrapper .product-cards-grid .product-card .bottom-section {
  padding: 16px 16px 40px 16px;
}
.future-courses-wrapper
  .product-cards-grid
  .product-card
  .bottom-section
  .summary {
  height: 0px;
  overflow: hidden;
  opacity: 0;
  transition: height 300ms ease 0ms, opacity 300ms ease 100ms;
}
.future-courses-wrapper
  .product-cards-grid
  .product-card:hover
  .bottom-section
  .summary {
  height: 48px;
  overflow: hidden;
  opacity: 1;
}
.future-courses-wrapper
  .product-cards-grid
  .product-card:hover
  .bottom-section {
  padding: 16px 16px 10px 16px;
}
.future-courses-wrapper .product-cards-grid .product-card .see-more {
  transform: translateY(0);
  transform-origin: bottom;
  background: var(--Secondary-S20, #006162);
  height: 0;
}
.future-courses-wrapper .product-cards-grid .product-card:hover .see-more {
  padding: 16px 22px 16px;
  transform: translateY(1);
  height: 56px;
}
.future-courses-wrapper
  .product-cards-grid
  .product-card:hover
  .see-more
  .ezIcon {
  transform: translateX(-15px);
}
.future-courses-wrapper .product-cards-grid .product-card .see-more .ezIcon {
  transition: all 300ms ease 200ms;
}
